| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
blf_canfdmessage64 Struct Reference

Header for a BLF CAN FD message object with extended 64-bit channel and timing metadata. More...

`#include <blf.h>`

## Public Attributes
uint8_t | channel
uint8_t | dlc
uint8_t | validDataBytes
uint8_t | txCount
uint32_t | id
uint32_t | frameLength_in_ns
uint32_t | flags
uint32_t | btrCfgArb
uint32_t | btrCfgData
uint32_t | timeOffsetBrsNs
uint32_t | timeOffsetCrcDelNs
uint16_t | bitCount
uint8_t | dir
uint8_t | extDataOffset
uint32_t | crc

## Detailed Description

Header for a BLF CAN FD message object with extended 64-bit channel and timing metadata.

## Member Data Documentation

## ◆ bitCount

uint16_t blf_canfdmessage64::bitCount

Total number of bits in the frame including stuffing bits.

## ◆ btrCfgArb

uint32_t blf_canfdmessage64::btrCfgArb

Bit timing register configuration for the arbitration phase.

## ◆ btrCfgData

uint32_t blf_canfdmessage64::btrCfgData

Bit timing register configuration for the data phase.

## ◆ channel

uint8_t blf_canfdmessage64::channel

Logical CAN channel number on which this message was captured.

## ◆ crc

uint32_t blf_canfdmessage64::crc

CRC value of the CAN FD frame as transmitted on the bus.

## ◆ dir

uint8_t blf_canfdmessage64::dir

Transfer direction: one of BLF_DIR_RX, BLF_DIR_TX, or BLF_DIR_TX_RQ.

## ◆ dlc

uint8_t blf_canfdmessage64::dlc

Data Length Code indicating the encoded payload size (0–15 for CAN FD).

## ◆ extDataOffset

uint8_t blf_canfdmessage64::extDataOffset

Byte offset from the start of this struct to any extended data appended after the payload.

## ◆ flags

uint32_t blf_canfdmessage64::flags

Bitmask of BLF_CANMESSAGE_FLAG_* and BLF_CANFDMESSAGE_CANFDFLAG_* values.

## ◆ frameLength_in_ns

uint32_t blf_canfdmessage64::frameLength_in_ns

Total duration of the CAN FD frame on the bus in nanoseconds.

## ◆ id

uint32_t blf_canfdmessage64::id

CAN message identifier; bit 31 set indicates a 29-bit extended ID.

## ◆ timeOffsetBrsNs

uint32_t blf_canfdmessage64::timeOffsetBrsNs

Time offset in nanoseconds from the start of the frame to the BRS bit.

## ◆ timeOffsetCrcDelNs

uint32_t blf_canfdmessage64::timeOffsetCrcDelNs

Time offset in nanoseconds from the start of the frame to the CRC delimiter bit.

## ◆ txCount

uint8_t blf_canfdmessage64::txCount

Number of transmission attempts made for this frame.

## ◆ validDataBytes

uint8_t blf_canfdmessage64::validDataBytes

Number of valid data bytes in the payload following this header.

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/wiretap/blf.h